Unit tamtpr_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMTPR_p;

function tamtpr: String; 

implementation

function tamtpr: String;
var
N,M,_i :Integer;
IAT :Array [0..6] of Integer;
JAT :Array [0..12] of Integer;
ANT :Array [0..12] of Real;
const
IA :Array [0..5] of Integer = ( 1,4,6,8,11,14 );
JA :Array [0..12] of Integer = ( 5,6,3,4,1,3,4,4,3,1,2,6,5 );
K :Array [0..4] of Integer = ( 5,3,2,4,1 );
AN :Array [0..12] of Real = ( 15.0,16.0,13.0,24.0,21.0,33.0,34.0,44.0,43.0,
41.0,52.0,56.0,55.0 );
begin
Result := '';

{         R }

N := 5;
M := 6;
AMTPR(IA,JA,AN,N,M,K,IAT,JAT,ANT);
Result := Result + Format('%s',[' IAT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%5d ',[IAT[_i]]);
  if ( ((_i+1) mod 7)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' JAT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 12 do
 begin
  Result := Result + Format('%5d ',[JAT[_i]]);
  if ( ((_i+1) mod 13)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' ANT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 12 do
 begin
  Result := Result + Format('%20.16f ',[ANT[_i]]);
  if ( ((_i+1) mod 5)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tamtpr',Result);  {     tamtpr.res }
exit;
end;

end.
